#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		tname	lxqt-config-globalkeys
#-----------------------------------------------------------------------------
Name		:	lxqt-globalkeys
Version		:	1.3.0
Release		:	14.4.0.0%{?dist}
Summary		:	Global keys utility for LXQt desktop suite
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/lxqt/lxqt-globalkeys/releases


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	liblxqt
#-----------------------------------------------------------------------------
%description
'%{name}' is providing tools to set global keyboard shortcuts in
LXQt sessions, that is shortcuts which apply to the LXQt session
as a whole and are not limited to distinct applications.

The core components are two binaries `lxqt-globalkeysd` and
`lxqt-config-globalkeyshortcuts`.   
`lxqt-globalkeysd` is running in a daemon-like manner as so-called
[LXQt Module](https://github.com/lxde/lxqt-session#lxqt-modules)
and doing the actual work. GUI `lxqt-config-globalkeyshortcuts`
is used to customize the shortcut settings.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc AUTHORS README.md
%{_sysconfdir}/xdg/autostart/%{name}*.desktop
%{_includedir}/%{name}*/*.h
%{_includedir}/%{name}*/LXQt*
%{_bindir}/lxqt-config-globalkeyshortcuts
%{_bindir}/%{name}d
%{_libdir}/lib%{name}*.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/cmake/%{name}*/%{name}-*.cmake
%{_datadir}/applications/lxqt-config-globalkeyshortcuts.desktop
%{_datadir}/lxqt/globalkeyshortcuts.conf
%{_datadir}/lxqt/translations/%{tname}*/%{tname}*_*.qm

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#problem with qt-5.14
sed -i								\
 -e "/#include <QDBusServiceWatcher>/a #include <QFile>"	\
 daemon/core.cpp

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DPULL_TRANSLATIONS=no					\
	-Wno-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%changelog
